if ($('#listaMediosPago').data('tipo') == 1) {
  var mediospao = new Bloodhound({
    datumTokenizer: Bloodhound.tokenizers.obj.whitespace('text'),
    queryTokenizer: Bloodhound.tokenizers.whitespace,
    prefetch: {
                  url: 'json-medios-pago.php',
                      prepare: function (settings) {
                      settings.type = "POST";
                      settings.contentType = "application/json; charset=UTF-8";
                      return settings;
                  },
                  remote: function (query, settings) {
                      settings.type = "POST";
                      settings.data = {q: query, foo: 'bar'}; // you can pass some data if you need to
                      return settings;
                  }
              }
  });
  mediospao.initialize();
  var elt = $('#listaMediosPago');
  elt.tagsinput({
    itemValue: 'value',
    itemText: 'text',
    typeaheadjs: {
      name: 'mediospao',
      displayKey: 'text',
      source: mediospao.ttAdapter()
    }
  });
  $('#listaMediosPago').on('itemAdded', function(event) {
    $('#btnVerResultado').hide();
  });
  $('#listaMediosPago').on('itemRemoved', function(event) {
    $('#btnVerResultado').hide();
  });
  
  $('#btnLimpiarMediosPago').on('click', function () {
    $.confirm({
      title: 'Confirmar',
      content: '¿Elimina todos los medios de pago cargados?',
      buttons: {
        Si: function () {
          $('#listaMediosPago').tagsinput('removeAll');
          $('#btnVerResultado').hide();
        },
        no: function () {
          //$.alert('Cancelado!');
        },
      }
    });
  });
}
else {
  $('#listaMediosPago').select2();
  $('#listaMediosPago').on("change", function (e) { $('#btnVerResultado').hide(); });
  
  $('#btnLimpiarMediosPago').on('click', function () {
    $.confirm({
      title: 'Confirmar',
      content: '¿Elimina todos los medios de pago cargados?',
      buttons: {
        Si: function () {
          $('#listaMediosPago').val(null).trigger('change');
          $('#btnVerResultado').hide();
        },
        no: function () {
          //$.alert('Cancelado!');
        },
      }
    });
  });
  
  $('#btnTodosMediosPago').on('click', function () {
    $("#listaMediosPago option").each(function(i, item) {
      $("#listaMediosPago > option:contains('" + $(item).text() + "')").prop("selected", "selected");
    });
    $("#listaMediosPago").trigger("change");
    $('#btnVerResultado').hide();
  });
}
